## cpm 1.0

=== DESCRIPTION ===
Package: cpm
Title: Sequential Parametric and Nonparametric Change Detection
Version: 1.0
Date: 2012-01-01
Depends: methods
Author: Gordon J. Ross, incorporating code from the GNU Scientific
        Library
Maintainer: Gordon J. Ross <gordon.ross03@imperial.ac.uk>
Description: Sequential change detection and Phase II process control
        for univariate data streams, using the change point model
        framework. Functions are provided to allow the parametric
        monitoring of sequences of Gaussian and Bernoulli random
        variables, along with more general nonparametric functions for
        monitoring sequences which have an unspecified or unknown
        distribution.
License: GPL-3
Packaged: 2012-02-06 10:16:23 UTC; Administrator
Repository: CRAN
Date/Publication: 2012-02-06 10:45:57

## cpm 0.25

=== debian/changelog ===
cpm (0.25-1) unstable; urgency=low

  * Initial release (Closes: #522225, #588526) 

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Mon, 17 Jan 2011 17:40:55 +0100

=== debian/control ===
Source: cpm
Section: utils
Priority: extra
Maintainer: Kacper Wysocki (Redpill-Linpro) <kwy@redpill-linpro.com>
Uploaders: Stig Sandbeck Mathisen <ssm@debian.org>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libncurses5-dev, libxml2-dev, libcdk5-dev, libcrack2-dev, libgpgme11-dev, zlib1g-dev, libdotconf-dev, libncursesw5-dev, txt2man
Standards-Version: 3.9.1
Vcs-Git: git://github.com/comotion/cpm.git
Vcs-Browser: https://github.com/comotion/cpm
Homepage: http://github.com/comotion/cpm

Package: cpm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libxml2-utils
Description: Curses based password manager using PGP-encryption 
 This program is a ncurses based console tool to manage passwords
 and store them public key encrypted in a file - even for more than
 one person. The encryption is handled via GnuPG so the programs data
 can be accessed via gpg as well, in case you want to have a look
 inside. The data is stored as zlib compressed XML so it's even
 possible to reuse the data for some other purpose.
 .
 The software uses CDK (ncurses) to handle the user interface, libxml2
 to store the information, the zlib library to compress the data and
 the library GpgMe to encrypt and decrypt the data securely.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	  --with-cracklib-dict=/var/cache/cracklib/cracklib_dict

override_dh_auto_clean:
	rm -f debian/cpmrc
	dh_auto_clean

override_dh_auto_test:

override_dh_auto_install:
	install -m 0644 $(CURDIR)/conf/cpmrc-default $(CURDIR)/debian/cpmrc
	dh_auto_install

## cpm 0.26

=== debian/changelog ===
cpm (0.26-1) unstable; urgency=low

  [ Kacper Wysocki (Redpill-Linpro) ]
  * Support SHA256, SHA384 and SHA512 (Closes: #626783)
  * Bugfix for conversion failure.

  [ Stig Sandbeck Mathisen ]
  * Revert upstream l10n metadata change committed to the debian branch
  * Bump Standards-Version (no changes)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Fri, 10 Jun 2011 15:45:32 +0200

## cpm 0.28

=== debian/changelog ===
cpm (0.28-1build1) trusty; urgency=low

  * No-change rebuild for libdotconf transition

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 29 Oct 2013 17:10:06 -0700

cpm (0.28-1) unstable; urgency=low

  * New upstream release

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Tue, 14 May 2013 16:31:20 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kacper Wysocki (Redpill-Linpro) <kwy@redpill-linpro.com>
 Uploaders: Stig Sandbeck Mathisen <ssm@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libncurses5-dev, libxml2-dev, libcdk5-dev, libcrack2-dev, libgpgme11-dev, zlib1g-dev, libdotconf-dev, libncursesw5-dev, txt2man
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Git: git://github.com/comotion/cpm.git
 Vcs-Browser: https://github.com/comotion/cpm
 Homepage: http://github.com/comotion/cpm

## cpm 0.31

=== debian/changelog ===
cpm (0.31-1b1) staging; urgency=high

  * No-change rebuild against libdotconf0

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 23 Aug 2014 11:11:02 +0000

cpm (0.31-1) unstable; urgency=medium

  * Imported upstream release 0.31

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Tue, 11 Mar 2014 19:38:36 +0100

cpm (0.30-1) unstable; urgency=medium

  * Imported upstream release 0.30
  * [5b1b6c3] Add "multiuser" documentation

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Fri, 14 Feb 2014 10:35:17 +0100

cpm (0.29-1) unstable; urgency=medium

  * Imported upstream release 0.29
  * [0bf769c] Enable parallel building
  * [4ed615d] Bump standards version (no changes)
  * [7ab4ba5] Use dh-autoreconf when building
  * [05230c4] Build with hardening flags

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Wed, 12 Feb 2014 19:23:56 +0100

## cpm 0.32

=== debian/changelog ===
cpm (0.32-1.2build2) cosmic; urgency=medium

  * No-change rebuild against libcdk5nc6

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 17 May 2018 04:06:05 +0000

cpm (0.32-1.2build1) cosmic; urgency=medium

  * No-change rebuild for ncurses soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 03 May 2018 15:19:05 +0000

cpm (0.32-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove patch from previous NMU, cdk.h was moved back to original location
    in libcdk5 (5.0.20160131-1) (Closes: #818393)

 -- Andreas Moog <andreas.moog@warperbbs.de>  Tue, 06 Dec 2016 21:07:53 +0100

cpm (0.32-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs due to cdk.h moved from /usr/include/cdk to /usr/include
    (Closes: #802221) 

 -- YunQiang Su <syq@debian.org>  Sun, 18 Oct 2015 23:14:34 +0800

cpm (0.32-1) unstable; urgency=medium

  * Imported upstream release 0.32
    - Allow annotated keys
    - Show key fingerprint on key error
    - Bugfix: "parsing certain kernel releases prevented memlock"
    - Bugfix: "Cannot drop root privileges" on jessie/i386" (Closes: #720891)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Mon, 06 Oct 2014 12:17:13 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,32 @@
 Source: cpm
 Section: utils
 Priority: extra
-Maintainer: Kacper Wysocki (Redpill-Linpro) <kwy@redpill-linpro.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Kacper Wysocki (Redpill-Linpro) <kwy@redpill-linpro.com>
 Uploaders: Stig Sandbeck Mathisen <ssm@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libncurses5-dev, libxml2-dev, libcdk5-dev, libcrack2-dev, libgpgme11-dev, zlib1g-dev, libdotconf-dev, libncursesw5-dev, txt2man
-Standards-Version: 3.9.2
+Build-Depends:
+ debhelper (>= 9~),
+ autotools-dev,
+ dh-autoreconf,
+ libcdk5-dev,
+ libcrack2-dev,
+ libdotconf-dev,
+ libgpgme11-dev,
+ libncurses5-dev,
+ libncursesw5-dev,
+ libxml2-dev,
+ txt2man,
+ zlib1g-dev,
+ libcdk5-dev,
+Standards-Version: 3.9.5
 Vcs-Git: git://github.com/comotion/cpm.git
 Vcs-Browser: https://github.com/comotion/cpm
 Homepage: http://github.com/comotion/cpm
 
 Package: cpm
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libxml2-utils
+Depends: ${misc:Depends}, ${shlibs:Depends},
+ libxml2-utils
 Description: Curses based password manager using PGP-encryption 
  This program is a ncurses based console tool to manage passwords
  and store them public key encrypted in a file - even for more than

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # -*- makefile -*-
 
 %:
-	dh $@
+	dh $@ --parallel --with=autoreconf
 
 override_dh_auto_configure:
 	dh_auto_configure -- \

=== debian/watch ===
version=3
http://githubredir.debian.net/github/comotion/cpm /github/comotion/cpm/(\d+\.\d+).tar.gz

## cpm 1.1

=== DESCRIPTION ===
Package: cpm
Title: Sequential Parametric and Nonparametric Change Detection
Version: 1.1
Date: 2012-01-01
Depends: R (>= 2.12.0), methods
Author: Gordon J. Ross
Maintainer: Gordon J. Ross <gordon.ross03@imperial.ac.uk>
Description: Sequential and batch change detection for univariate data
        streams, using the change point model framework. Functions are
        provided to allow the parametric monitoring of sequences of
        Gaussian and Bernoulli random variables, along with more
        general nonparametric functions for monitoring sequences which
        have an unspecified or unknown distribution.
License: GPL-3
Packaged: 2013-12-15 09:21:24 UTC; ripley
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2013-12-15 11:24:09

## cpm 2.0

=== DESCRIPTION ===
Package: cpm
Title: Sequential and Batch Change Detection Using Parametric and
        Nonparametric Methods
Version: 2.0
Date: 2015-06-01
Depends: R (>= 2.15.0), methods
Author: Gordon J. Ross
Maintainer: Gordon J. Ross <gordon@gordonjross.co.uk>
Description: Sequential and batch change detection for univariate data streams, using the change point model framework. Functions are provided to allow the parametric monitoring of sequences of Gaussian, Bernoulli and Exponential random variables, along with functions implementing more general nonparametric methods for monitoring sequences which have an unspecified or unknown distribution.
License: GPL-3
NeedsCompilation: yes
Packaged: 2015-06-04 19:32:18 UTC; gordonross
X-CRAN-Comment: Archived on 2014-05-31 as memory access errors were not
        corrected.
Repository: CRAN
Date/Publication: 2015-06-05 13:09:25

## cpm 2.1

=== DESCRIPTION ===
Package: cpm
Title: Sequential and Batch Change Detection Using Parametric and
        Nonparametric Methods
Version: 2.1
Date: 2015-07-09
Depends: R (>= 2.15.0), methods
Author: Gordon J. Ross
Maintainer: Gordon J. Ross <gordon@gordonjross.co.uk>
Description: Sequential and batch change detection for univariate data streams, using the change point model framework. Functions are provided to allow nonparametric distribution-free change detection in the mean, variance, or general distribution of a given sequence of observations. Parametric change detection methods are also provided for Gaussian, Bernoulli and Exponential sequences. Both the batch (Phase I) and sequential (Phase II) settings are supported, and the sequences may contain either a single or multiple change points.
License: GPL-3
Packaged: 2015-07-12 16:03:13 UTC; gordonross
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2015-07-12 18:27:55

## cpm 2.2

=== DESCRIPTION ===
Package: cpm
Title: Sequential and Batch Change Detection Using Parametric and
        Nonparametric Methods
Version: 2.2
Date: 2015-07-09
Depends: R (>= 2.15.0), methods
Author: Gordon J. Ross
Maintainer: Gordon J. Ross <gordon@gordonjross.co.uk>
Description: Sequential and batch change detection for univariate data streams, using the change point model framework. Functions are provided to allow nonparametric distribution-free change detection in the mean, variance, or general distribution of a given sequence of observations. Parametric change detection methods are also provided for Gaussian, Bernoulli and Exponential sequences. Both the batch (Phase I) and sequential (Phase II) settings are supported, and the sequences may contain either a single or multiple change points.
License: GPL-3
Packaged: 2015-07-27 20:56:48 UTC; gordonross
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2015-07-28 00:23:54

## cpm 2.3

=== DESCRIPTION ===
Package: cpm
Title: Sequential and Batch Change Detection Using Parametric and
        Nonparametric Methods
Version: 2.3
Date: 2020-10-08
Depends: R (>= 2.15.0), methods
Author: Gordon J. Ross
Maintainer: Gordon J. Ross <gordon@gordonjross.co.uk>
Description: Sequential and batch change detection for univariate data streams, using the change point model framework. Functions are provided to allow nonparametric distribution-free change detection in the mean, variance, or general distribution of a given sequence of observations. Parametric change detection methods are also provided for Gaussian, Bernoulli and Exponential sequences. Both the batch (Phase I) and sequential (Phase II) settings are supported, and the sequences may contain either a single or multiple change points. A full description of this package is available in Ross, G.J (2015) - "Parametric and nonparametric sequential change detection in R" available at <https://www.jstatsoft.org/article/view/v066i03>.
License: GPL-3
NeedsCompilation: yes
Packaged: 2020-10-08 09:27:04 UTC; gotdonross
Repository: CRAN
Date/Publication: 2020-10-08 10:10:11 UTC

## cpm 03

=== Makefile ===

CXX      = g++
CXXFLAGS = -O3 -Wall -DTIMING -DDCOVER=5

PROGS  = test-suffixsort

.SUFFIXES: .cpp .o

.cpp.o:
	$(CXX) $(CXXFLAGS) $(INCL) -c $<

all: $(PROGS)

OBJS1 =  test-suffixsort.o difference_cover.o
test-suffixsort: $(OBJS1)
	$(CXX) $(CXXFLAGS) $(INCL) -o $@ $(OBJS1)


#--------------------------------------------------------------------------
# cleaning up
#--------------------------------------------------------------------------
clean: depend
	rm -f *.o core


#--------------------------------------------------------------------------
# dependencies
#--------------------------------------------------------------------------

OBJS = $(OBJS1)
SOURCES = $(OBJS:.o=.cpp)

depend:
	$(CXX) -M $(SOURCES) > dependencies

include dependencies
